Mailinglist Archive: opensuse-security-announce (49 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:0501-1: moderate: Security update for gmp, gnutls, libnettle
openSUSE Security Update: Security update for gmp, gnutls, libnettle
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0501-1
Rating: moderate
References: #1152692 #1155327 #1166881 #1168345
Cross-References: CVE-2020-11501
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves one vulnerability and has three fixes
is now available.

Description:

This update for gmp, gnutls, libnettle fixes the following issues:

Security issue fixed:

- CVE-2020-11501: Fixed zero random value in DTLS client hello
(bsc#1168345)

FIPS related bugfixes:

- FIPS: Install checksums for binary integrity verification which are
required when running in FIPS mode (bsc#1152692, jsc#SLE-9518)
- FIPS: Fixed a cfb8 decryption issue, no longer truncate output IV if
input is shorter than block size. (bsc#1166881)
- FIPS: Added Diffie Hellman public key verification test. (bsc#1155327)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-501=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

gmp-debugsource-6.1.2-lp151.4.3.1
gmp-devel-6.1.2-lp151.4.3.1
gnutls-3.6.7-lp151.2.6.1
gnutls-debuginfo-3.6.7-lp151.2.6.1
gnutls-debugsource-3.6.7-lp151.2.6.1
gnutls-guile-3.6.7-lp151.2.6.1
gnutls-guile-debuginfo-3.6.7-lp151.2.6.1
libgmp10-6.1.2-lp151.4.3.1
libgmp10-debuginfo-6.1.2-lp151.4.3.1
libgmpxx4-6.1.2-lp151.4.3.1
libgmpxx4-debuginfo-6.1.2-lp151.4.3.1
libgnutls-dane-devel-3.6.7-lp151.2.6.1
libgnutls-dane0-3.6.7-lp151.2.6.1
libgnutls-dane0-debuginfo-3.6.7-lp151.2.6.1
libgnutls-devel-3.6.7-lp151.2.6.1
libgnutls30-3.6.7-lp151.2.6.1
libgnutls30-debuginfo-3.6.7-lp151.2.6.1
libgnutls30-hmac-3.6.7-lp151.2.6.1
libgnutlsxx-devel-3.6.7-lp151.2.6.1
libgnutlsxx28-3.6.7-lp151.2.6.1
libgnutlsxx28-debuginfo-3.6.7-lp151.2.6.1
libhogweed4-3.4.1-lp151.2.3.2
libhogweed4-debuginfo-3.4.1-lp151.2.3.2
libnettle-debugsource-3.4.1-lp151.2.3.2
libnettle-devel-3.4.1-lp151.2.3.2
libnettle6-3.4.1-lp151.2.3.2
libnettle6-debuginfo-3.4.1-lp151.2.3.2
nettle-3.4.1-lp151.2.3.2
nettle-debuginfo-3.4.1-lp151.2.3.2

- openSUSE Leap 15.1 (x86_64):

gmp-devel-32bit-6.1.2-lp151.4.3.1
libgmp10-32bit-6.1.2-lp151.4.3.1
libgmp10-32bit-debuginfo-6.1.2-lp151.4.3.1
libgmpxx4-32bit-6.1.2-lp151.4.3.1
libgmpxx4-32bit-debuginfo-6.1.2-lp151.4.3.1
libgnutls-devel-32bit-3.6.7-lp151.2.6.1
libgnutls30-32bit-3.6.7-lp151.2.6.1
libgnutls30-32bit-debuginfo-3.6.7-lp151.2.6.1
libgnutls30-hmac-32bit-3.6.7-lp151.2.6.1
libhogweed4-32bit-3.4.1-lp151.2.3.2
libhogweed4-32bit-debuginfo-3.4.1-lp151.2.3.2
libnettle-devel-32bit-3.4.1-lp151.2.3.2
libnettle6-32bit-3.4.1-lp151.2.3.2
libnettle6-32bit-debuginfo-3.4.1-lp151.2.3.2


References:

https://www.suse.com/security/cve/CVE-2020-11501.html
https://bugzilla.suse.com/1152692
https://bugzilla.suse.com/1155327
https://bugzilla.suse.com/1166881
https://bugzilla.suse.com/1168345

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages